Bug 802446 - [ovirt] [vdsm] hibernate vm from vdsClient is broken: Attribute ERROR
[ovirt] [vdsm] hibernate vm from vdsClient is broken: Attribute ERROR
Status: CLOSED NEXTRELEASE
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.1
Assigned To: Martin Polednik
virt
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-12 10:58 EDT by Haim
Modified: 2014-01-12 19:51 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-02 05:52:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-03-12 10:58:36 EDT
Description of problem:


# vdsClient 0 hibernate 6e7da0b2-a19f-4020-a9b6-4fd1982b61f6

Thread-5797::DEBUG::2012-03-12 16:34:49,054::BindingXMLRPC::857::vds::(wrapper) client [10.35.115.11]::call vmHibernate with ('6e7da0b2-a19f-4020-a9b6-4fd1982b61f6',) {}
Thread-5797::DEBUG::2012-03-12 16:34:49,055::API::407::vds::(migrate) {'hiberVolHandle': None, 'vmId': '6e7da0b2-a19f-4020-a9b6-4fd1982b61f6', 'mode': 'file'}
Thread-5797::ERROR::2012-03-12 16:34:49,055::BindingXMLRPC::872::vds::(wrapper) unexpected error
Traceback (most recent call last):
  File "/usr/share/vdsm/BindingXMLRPC.py", line 862, in wrapper
    res = f(*args, **kwargs)
  File "/usr/share/vdsm/BindingXMLRPC.py", line 328, in vmHibernate
    return vm.hibernate(hiberVolHandle)
  File "/usr/share/vdsm/API.py", line 330, in hibernate
    response = self.migrate(params)
  File "/usr/share/vdsm/API.py", line 419, in migrate
    self._getHibernationPaths(params['hiberVolHandle'])
  File "/usr/share/vdsm/API.py", line 548, in _getHibernationPaths
    paramImageID, paramVolumeID = hiberVolHandle.split(',')
AttributeError: 'NoneType' object has no attribute 'split'

problem: 
- there is a sync problem between API and vdsClient, API requires volume ids (list) along with vmId, while vdsClient requires vmId.
Comment 1 Maor 2013-03-24 08:57:34 EDT
This issue was not addressed, for over a year, and it is marked as virt, can you please assign it to someone, so the issue can be closed?
Comment 2 Michal Skrivanek 2013-08-19 06:25:29 EDT
the volume handle parameter should be mandatory. vdsClient doesn't require/send it and also the default in BindingXMLRPC.py is None
Comment 3 Michal Skrivanek 2013-10-02 05:52:01 EDT
merged, will be in 3.3.1

Note You need to log in before you can comment on or make changes to this bug.